Ktools.net PhotoStore 多个跨站脚本攻击漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1111131 漏洞类型 跨站脚本
发布时间 2006-09-25 更新时间 2006-10-20
CVE编号 CVE-2006-5057 CNNVD-ID CNNVD-200609-502
漏洞平台 PHP CVSS评分 5.1
|漏洞来源
https://www.exploit-db.com/exploits/28663
https://cxsecurity.com/issue/WLB-2006100006
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200609-502
|漏洞详情
Ktools.netPhotoStore中存在多个跨站脚本攻击(XSS)漏洞,远程攻击者可以通过(1)details.php中的gid参数或(2)view_photog.php中的photogid参数注入任意Web脚本或HTML。
|漏洞EXP
source: http://www.securityfocus.com/bid/20172/info
 
Photostore is prone to multiple cross-site scripting vulnerabilities because it fails to sufficiently sanitize user-supplied input data.
 
An attacker may leverage these issues to have arbitrary script code execute in the browser of an unsuspecting user in the context of the affected site. This may allow an attacker to steal cookie-based authentication credentials and to launch other attacks.
 
http://www.example.com/[path]/view_photog.php?photogid=[xss]
|参考资料

来源:BID
名称:20172
链接:http://www.securityfocus.com/bid/20172
来源:BUGTRAQ
名称:20060923PhotoStoreMultipleCross-SiteScriptingVulnerabilities
链接:http://www.securityfocus.com/archive/1/archive/1/446909/100/0/threaded
来源:VUPEN
名称:ADV-2006-3781
链接:http://www.frsirt.com/english/advisories/2006/3781
来源:SECUNIA
名称:22122
链接:http://secunia.com/advisories/22122
来源:SREASON
名称:1640
链接:http://securityreason.com/securityalert/1640